#include <stdio.h>

int main(){
    int N, L, p=0;
    printf("Unesi n(broj stalaktita): ");
    scanf("%d", &N);
    printf("Unesi Pericinu visinu: ");
    scanf("%d", &L);
    int st[N-1];
    for(int i = 0 ; i < N; i++){
        printf("Unesi udaljenost %d. stalaktita od pota: ", i+1);
        scanf("%d", &st[i]);
        if(p==0 && L>=st[i])
            p=i+1;
    }
    if(p==0)
        p=-1;
    printf("%d", p);


    return 0;
}